org.jbpm.runtime.manager.impl.lock

## Class DebugRuntimeManagerLock

- java.lang.Object
- - org.jbpm.runtime.manager.impl.lock.DebugRuntimeManagerLock

- All Implemented Interfaces:
    RuntimeManagerLock

      public class DebugRuntimeManagerLock
      extends Object
      implements RuntimeManagerLock

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugRuntimeManagerLock()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReentrantLock` | `internalLock()`
    `void` | `lock()`
    `void` | `lockInterruptible()`
    `String` | `toString()`
    `boolean` | `tryLock(long units, TimeUnit timeUnit)`
    `void` | `unlock()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugRuntimeManagerLock

          public DebugRuntimeManagerLock()

  - ### Method Detail

    - #### lock

          public void lock()

      Specified by:
        `lock` in interface `RuntimeManagerLock`

    - #### tryLock

          public boolean tryLock(long units,
                                 TimeUnit timeUnit)
                          throws InterruptedException

      Specified by:
        `tryLock` in interface `RuntimeManagerLock`
      Throws:
        `InterruptedException`

    - #### lockInterruptible

          public void lockInterruptible()
                                 throws InterruptedException

      Specified by:
        `lockInterruptible` in interface `RuntimeManagerLock`
      Throws:
        `InterruptedException`

    - #### unlock

          public void unlock()

      Specified by:
        `unlock` in interface `RuntimeManagerLock`

    - #### internalLock

          public ReentrantLock internalLock()

      Specified by:
        `internalLock` in interface `RuntimeManagerLock`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.